package com.myeclipse.ejb3;

import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;
import com.myeclipse.ejb3.MyBean;
import com.myeclipse.ejb3.MyBeanRemote;

public class MyBeanClient {

	 public static void main(String[] args) {
		    try {
		    	  final String jndiName = "MyBean/remote";
		    	  Context context = new InitialContext();
		    	  System.out.println("about to look up jndi name " + jndiName);
		    	  MyBeanRemote beanRemote = (MyBeanRemote) context.lookup(jndiName);
		    	  beanRemote.doSomething();
		    	   
		    } catch (NamingException e) {
		        e.printStackTrace();
		    }
	 }
}
